org.omg.CORBA_2_3.portable

## Class OutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.omg.CORBA.portable.OutputStream
    - - org.omg.CORBA_2_3.portable.OutputStream

All Implemented Interfaces:
  Closeable, Flushable

    public abstract class OutputStream
    extends OutputStream

OutputStream provides interface for writing of all of the mapped IDL type to the stream. It extends org.omg.CORBA.portable.OutputStream, and defines new methods defined by CORBA 2.3.

Since:
  JDK1.2
See Also:
  `OutputStream`

### Constructor Summary

Constructors
Constructor and Description
`OutputStream()` Create a new instance of this class.

### Method Summary

Methods
`void` `write_abstract_interface(Object obj)` Marshals a value object or a stub object.
`void` `write_value(Serializable value)` Marshals a value type to the output stream.
`void` `write_value(Serializable value, BoxedValueHelper factory)` Marshals a value type to the output stream.
`void` `write_value(Serializable value, Class clz)` Marshals a value type to the output stream.
`void` `write_value(Serializable value, String repository_id)` Marshals a value type to the output stream.

### Methods inherited from class org.omg.CORBA.portable.OutputStream

`create_input_stream, orb, write_any, write_boolean_array, write_boolean, write_char_array, write_char, write_Context, write_double_array, write_double, write_fixed, write_float_array, write_float, write_long_array, write_long, write_longlong_array, write_longlong, write_Object, write_octet_array, write_octet, write_Principal, write_short_array, write_short, write_string, write_TypeCode, write_ulong_array, write_ulong, write_ulonglong_array, write_ulonglong, write_ushort_array, write_ushort, write_wchar_array, write_wchar, write_wstring, write`

### Methods inherited from class java.io.OutputStream

`close, flush, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OutputStream

    public OutputStream()

Create a new instance of this class. throw SecurityException if SecurityManager is installed and enableSubclassImplementation SerializablePermission is not granted or jdk.corba.allowOutputStreamSubclass system property is either not set or is set to 'false'

### Method Detail

#### write_value

    public void write_value(Serializable value)

Marshals a value type to the output stream.

Parameters:
  `value` - is the acutal value to write

#### write_value

    public void write_value(Serializable value,
                   Class clz)

Marshals a value type to the output stream.

Parameters:
  `value` - is the acutal value to write
  `clz` - is the declared type of the value to be marshaled

#### write_value

    public void write_value(Serializable value,
                   String repository_id)

Marshals a value type to the output stream.

Parameters:
  `value` - is the acutal value to write
  `repository_id` - identifies the type of the value type to be marshaled

#### write_value

    public void write_value(Serializable value,
                   BoxedValueHelper factory)

Marshals a value type to the output stream.

Parameters:
  `value` - is the acutal value to write
  `factory` - is the instance of the helper to be used for marshaling the boxed value

#### write_abstract_interface

    public void write_abstract_interface(Object obj)

Marshals a value object or a stub object.

Parameters:
  `obj` - the actual value object to marshal or the stub to be marshalled

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.